Bug 991506 - [abrt] reinteract-0.5.9-6: worksheet.py:958:save:IOError: [Errno 13] Permission denied: u'/usr/share/reinteract/examples/prime.rws.tmp'
[abrt] reinteract-0.5.9-6: worksheet.py:958:save:IOError: [Errno 13] Permissi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: reinteract (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:e5e49417f1a685e519866c3dad9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 11:13 EDT by Vadim
Modified: 2015-02-17 11:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.39 KB, text/plain)
2013-08-02 11:13 EDT, Vadim
no flags Details
File: core_backtrace (801 bytes, text/plain)
2013-08-02 11:13 EDT, Vadim
no flags Details
File: environ (1.94 KB, text/plain)
2013-08-02 11:13 EDT, Vadim
no flags Details

  None (edit)
Description Vadim 2013-08-02 11:13:25 EDT
Description of problem:
try to save worksheet

Version-Release number of selected component:
reinteract-0.5.9-6

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/reinteract
executable:     /usr/bin/reinteract
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            500

Truncated backtrace:
worksheet.py:958:save:IOError: [Errno 13] Permission denied: u'/usr/share/reinteract/examples/prime.rws.tmp'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/reinteract/base_window.py", line 227, in on_save
    self.current_editor.save()
  File "/usr/lib/python2.7/site-packages/reinteract/editor.py", line 212, in save
    self.__prompt_for_name(title="Save As...", save_button_text="_Save", action=action)
  File "/usr/lib/python2.7/site-packages/reinteract/editor.py", line 74, in __prompt_for_name
    builder.prompt_for_name(self.notebook.folder, self._get_extension(), action)
  File "/usr/lib/python2.7/site-packages/reinteract/save_file.py", line 75, in prompt_for_name
    action(fullname)
  File "/usr/lib/python2.7/site-packages/reinteract/editor.py", line 208, in action
    self._save(fullname)
  File "/usr/lib/python2.7/site-packages/reinteract/worksheet_editor.py", line 102, in _save
    self.buf.worksheet.save(filename)
  File "/usr/lib/python2.7/site-packages/reinteract/worksheet.py", line 958, in save
    f = open(tmpname, "wb")
IOError: [Errno 13] Permission denied: u'/usr/share/reinteract/examples/prime.rws.tmp'

Local variables in innermost frame:
tmpname: u'/usr/share/reinteract/examples/prime.rws.tmp'
self: <Worksheet object at 0x20b0690 (reinteract+worksheet+Worksheet at 0x2283420)>
filename_changed: True
filename: u'/usr/share/reinteract/examples/prime.rws'
Comment 1 Vadim 2013-08-02 11:13:30 EDT
Created attachment 782005 [details]
File: backtrace
Comment 2 Vadim 2013-08-02 11:13:34 EDT
Created attachment 782006 [details]
File: core_backtrace
Comment 3 Vadim 2013-08-02 11:13:38 EDT
Created attachment 782007 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 14:14:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:31:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.